> For the complete documentation index, see [llms.txt](https://docs.garryhost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.garryhost.com/api/get-information.md).

# Get Information

## Get server specific information

```php
curl "https://garry.host/api/client/servers/<id>" \
  -H "Authorization: Bearer api" \
  -H "Content-Type: application/json" \
  -H "Accept: Application/vnd.pterodactyl.v1+json" \
  -X GET 
```

#### HTTP Request <a href="#http-request-2" id="http-request-2"></a>

`GET https://garry.host/api/client/servers/<ID>`

| Parameter | Description                                   |
| --------- | --------------------------------------------- |
| ID        | The ID of the server that you are requesting. |

#### URL Parameters <a href="#url-parameters" id="url-parameters"></a>

> The above command returns JSON structured like this:

```javascript
{
   "object":"server",
   "attributes":{
      "server_owner":true,
      "identifier":"d3aac109",
      "uuid":"d3aac109-e5a0-4331-b03e-3454f7e136dc",
      "name":"Survival",
      "description":"",
      "limits":{
         "memory":1024,
         "swap":0,
         "disk":5000,
         "io":500,
         "cpu":200
      },
      "feature_limits":{
         "databases":5,
         "allocations":5
      }
   }
}
```

This endpoint retrieves information for the specified server.

### Get server resource utilization <a href="#get-server-resource-utilization" id="get-server-resource-utilization"></a>

#### URL Parameters <a href="#url-parameters-2" id="url-parameters-2"></a>

```php
curl "https://garry.host/api/client/servers/<id>/utilization" \
  -H "Authorization: Bearer api" \
  -H "Content-Type: application/json" \
  -H "Accept: Application/vnd.pterodactyl.v1+json" \
  -X GET
```

#### HTTP Request <a href="#http-request-3" id="http-request-3"></a>

`GET https://garry.host/api/client/servers/<ID>/utilization`

| Parameter | Description                                   |
| --------- | --------------------------------------------- |
| ID        | The ID of the server that you are requesting. |

> The above command returns JSON structured like this:

```javascript
{
   "object":"stats",
   "attributes":{
      "state":"on",
      "memory":{
         "current":375,
         "limit":1024
      },
      "cpu":{
         "current":1.522,
         "cores":[
            0.033,
            0.048,
            0.04,
            0,
            0.031,
            0,
            0.021,
            0.024,
            0.249,
            0.042,
            0.007,
            0,
            0.293,
            0.003,
            0.6,
            0.131
         ],
         "limit":200
      },
      "disk":{
         "current":119,
         "limit":5000
      }
   }
}
```

This endpoint displays resource utilization of the specified server. If the server is offline, current data is displayed as `0` and the state is displayed as `off`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.garryhost.com/api/get-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
